#ifndef	_core_user_
#define	_core_user_

/* Module core */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <mach/mach_types.h>
#include <device/device_types.h>
#include <device/net_status.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/resource.h>
#include <sys/utsname.h>
#include <hurd/hurd_types.h>

/* Routine core_dump_task */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __core_dump_task
#if	defined(LINTLIBRARY)
    (coreserver, task, file, target, signo, sigcode, sigerror)
	mach_port_t coreserver;
	mach_port_t task;
	file_t file;
	string_t target;
	int signo;
	int sigcode;
	int sigerror;
{ return __core_dump_task(coreserver, task, file, target, signo, sigcode, sigerror); }
#else
(
	mach_port_t coreserver,
	mach_port_t task,
	file_t file,
	string_t target,
	int signo,
	int sigcode,
	int sigerror
);
#endif


/* Module core */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <mach/mach_types.h>
#include <device/device_types.h>
#include <device/net_status.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/resource.h>
#include <sys/utsname.h>
#include <hurd/hurd_types.h>

/* Routine core_dump_task */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t core_dump_task
#if	defined(LINTLIBRARY)
    (coreserver, task, file, target, signo, sigcode, sigerror)
	mach_port_t coreserver;
	mach_port_t task;
	file_t file;
	string_t target;
	int signo;
	int sigcode;
	int sigerror;
{ return core_dump_task(coreserver, task, file, target, signo, sigcode, sigerror); }
#else
(
	mach_port_t coreserver,
	mach_port_t task,
	file_t file,
	string_t target,
	int signo,
	int sigcode,
	int sigerror
);
#endif

#endif	/* not defined(_core_user_) */
